Settings / Health Checks ======================== .. role:: green .. role:: red Manage settings, including health checks. Settings List ------------- **Type:** :guilabel:`GET` .. py:function:: https://cloud.syminet.com/api/v1/symbalancers/{SYMBALANCER_ID}/settings Return a JSON list of all symBalancer settings. **Required URL Parameters:** SYMBALANCER_ID symBalancer ID to list ports. .. code-block:: shell :caption: Curl curl --request GET \ --url https://cloud.syminet.com/api/v1/symbalancers/SYMBALANCER_ID/settings \ --header "content-type: application/json" \ --header "authorization:bearer $API_TOKEN" .. code-block:: json :caption: Response { "check_fall": 3, "check_interval": 10, "check_path": "/", "check_port": 80, "check_protocol": "http", "check_rise": 2, "check_timeout": 5, "ssl_redirect": 0, "sticky_sessions": 0, "timeout_http_request": 60, "tls_verify": 0 } Update Settings / Health Checks ------------------------------- **Type:** :guilabel:`POST` .. py:function:: https://cloud.syminet.com/api/v1/symbalancers/{SYMBALANCER_ID}/settings/update Update symBalancer settings, including health checks. **Required URL Parameters:** SYMBALANCER_ID symBalancer ID to add port to. **Optional JSON Properties:** .. Note:: Only properties that are passed will be changed; all others remain the same. All health check settings begin with "**check_**". check_fall Note the name here ends with "fall" as in "falling down" (not "fail"). This is the number of failed checks before putting a backend server into :red:`DOWN` state. check_interval Seconds between checks. Must be more than **check_interval** (see below). check_path With **http**, /path/to/health/check check_port Port to use on backend servers. check_protocol Protocol to use on backend servers. Must be: **http**, **https**, or **tcp**. check_rise Number of successful checks before putting a :red:`DOWN` server back to :green:`UP` state. check_timeout Number of seconds to wait for a response before failure. Must be less than **check_interval**. ssl_redirect Redirect all HTTP requests to HTTPS sticky_sessions Use cookies to route subsequent client requests to the same backend server. timeout_http_request Seconds from first byte received, until last byte sent. Sites with e.g. large uploads (requiring longer than default 60s) might need this increased. .. code-block:: shell :caption: Curl curl --request POST \ --url https://cloud.syminet.com/api/v1/symbalancers/SYMBALANCER_ID/settings/update \ --header "content-type: application/json" \ --header "authorization:bearer $API_TOKEN" \ --data ' { "check_protocol": "tcp", "check_timeout": 6, "timeout_http_request": 90 } ' **Response:** :green:`202 OK`